<< welchwin | FOSSEE_Signal_Processing_Toolbox | wkeep >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > wind

# wind

This function creates an m-point window from the function f given as input.

### Syntax

    w = wind(f, m)
    w = wind(f, m, opts)

### Parameters

f:

  string value/window name

m:

  positive integer value

opts:

  string value, takes in "periodic" or "symmetric"

w:

  output variable, vector of real numbers

### Description

This function creates an m-point window from the function f given as input, in the output vector w. f can take any valid function as a string, for example "blackmanharris".

### Examples

    wind("hanning",5)

Report an issue
<< welchwin | FOSSEE_Signal_Processing_Toolbox | wkeep >>